<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	html{
		cursor:none;
	}
	#cursor{
	  height:20px;
  width: 20px;
  border:1px solid coral;
  border-radius:50%;
  position:fixed;
	}
	#follower{
	height:16px;
  width: 16px;
  background:coral;
  border-radius:50%;
  position:fixed;
  transition: .3s;

	}
</style>
<body>
<div id="cursor"></div>
<div id="follower"></div>

</body>
<script type="text/javascript">

	document.addEventListener('mousemove', function(e){
		
	let cursor = document.getElementById("cursor");
    console.log(e.clientX + "," + e.clientY);
    cursor.style.left = e.clientX - 10 + "px";
    cursor.style.top = e.clientY - 10 + "px";
    setInterval(followMouse(e), 1500);
	});
	 function followMouse(e){
    let follower = document.getElementById("follower");
    // console.log(e.clientX + "," + e.clientY);
    follower.style.left = e.clientX - 7 + "px";
    follower.style.top = e.clientY - 7 + "px";
}
</script>
</html>